package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

public class FornitoreDTO {


    private String codAnag;

    private String descrizione;

    private String codVdes;

    private String tipoAnag;

    private String gestioneAnag;


    public String getCodAnag() {
        return codAnag;
    }

    public void setCodAnag(String codAnag) {
        this.codAnag = codAnag;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public void setCodVdes(String codVdes) {
        this.codVdes = codVdes;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public void setDescrizione(String descrizione) {
        this.descrizione = descrizione;
    }

    public String getTipoAnag() {
        return tipoAnag;
    }

    public void setTipoAnag(String tipoAnag) {
        this.tipoAnag = tipoAnag;
    }

    public String getGestioneAnag() {
        return gestioneAnag;
    }

    public void setGestioneAnag(String gestioneAnag) {
        this.gestioneAnag = gestioneAnag;
    }

    public String getLabel() {
        return this.codAnag + (this.codVdes != null ?  " - "+ this.codVdes : "") +" ( " + this.descrizione+" )";
    }
}
